org.apache.olingo.commons.api.edm

## Interface EdmBindingTarget

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed
  All Known Subinterfaces:
    EdmEntitySet, EdmSingleton

      public interface EdmBindingTarget
      extends EdmNamed, EdmAnnotatable, EdmMappable

  Entity Sets or Singletons can be bound to each other using a navigation property binding so an `EdmBindingTarget` can either be an `EdmEntitySet` or an `EdmSingleton`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityContainer` | `getEntityContainer()` Returns the entity container this target is contained in.
    `EdmEntityType` | `getEntityType()` Get the entity type.
    `EdmEntityType` | `getEntityTypeWithAnnotations()` Get the entity type with annotations defined in external file.
    `List<EdmNavigationPropertyBinding>` | `getNavigationPropertyBindings()`
    `EdmBindingTarget` | `getRelatedBindingTarget(String path)` Returns the target for a given path.
    `String` | `getTitle()` Returns a human readable title or null if not set.

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmMappable

      `getMapping`

- - ### Method Detail

    - #### getTitle

          String getTitle()

      Returns a human readable title or null if not set.
      Returns:
        a human readable title or null

    - #### getRelatedBindingTarget

          EdmBindingTarget getRelatedBindingTarget(String path)

      Returns the target for a given path.
      Parameters:
        `path` - path for which the target is returned
      Returns:
        `EdmBindingTarget`

    - #### getNavigationPropertyBindings

          List<EdmNavigationPropertyBinding> getNavigationPropertyBindings()

      Returns:
        all navigation property bindings

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()

      Returns the entity container this target is contained in.
      Returns:
        `EdmEntityContainer`

    - #### getEntityType

          EdmEntityType getEntityType()

      Get the entity type.
      Returns:
        `EdmEntityType`

    - #### getEntityTypeWithAnnotations

          EdmEntityType getEntityTypeWithAnnotations()

      Get the entity type with annotations defined in external file.
      Returns:
        `EdmEntityType`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.